body {
    font-family: 'Roboto', sans-serif;
    margin: 0;
    padding: 0;
    background-color: #f5f5f5;
    color: #333;
}

header {
    background: linear-gradient(to right, #0077cc, #005fa3);
    color: white;
    padding: 80px 0;
    text-align: center;
}

header img {
    max-width: 100%;
    width: 300px; /* Define um tamanho fixo para desktop */
    height: auto;
    margin-bottom: 20px;
    display: block;
    margin-left: auto;
    margin-right: auto;
}

nav {
    margin: 20px 0;
    display: flex;
    justify-content: center;
}

nav a {
    color: #000;
    text-decoration: none;
    margin: 0 10px;
    padding: 10px;
    transition: color 0.3s;
}

nav a:hover {
    color: #0077cc;
}

.language-dropdown {
    position: relative;
    display: inline-block;
}

#language-button {
    background: #0077cc;
    color: white;
    border: none;
    border-radius: 5px;
    padding: 10px 15px;
    cursor: pointer;
    transition: background 0.3s, transform 0.3s;
}

#language-button:hover {
    background: #005fa3;
    transform: scale(1.05);
}

.language-options {
    position: absolute;
    background-color: white;
    border: 1px solid #ccc;
    border-radius: 5px;
    z-index: 1;
    display: none;
    flex-direction: column;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
}

.language-options button {
    width: 100%;
    padding: 10px;
    border: none;
    text-align: left;
    cursor: pointer;
    background: none;
    transition: background 0.3s;
}

.language-options button:hover {
    background-color: rgba(0, 0, 0, 0.1);
}

.language-options button img {
    width: 20px;
    margin-right: 8px;
}

section {
    padding: 40px;
    margin: 20px 0;
    background: #ffffff;
    border-radius: 10px;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1);
    transition: box-shadow 0.3s;
}

section:hover {
    box-shadow: 0 6px 20px rgba(0, 0, 0, 0.2);
}

h2 {
    color: #333;
    margin-bottom: 20px;
    font-weight: 700;
}

footer {
    text-align: center;
    padding: 20px 0;
    background: #333;
    color: white;
    font-size: 0.9em;
}

footer div {
    margin: 5px 0;
}

.container {
    max-width: 1200px;
    margin: auto;
    padding: 0 20px;
}

.image-group {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 10px;
}

.image-group img {
    flex: 1 1 calc(45% - 10px);
    max-width: 100%; /* As imagens não ultrapassam 100% da largura */
    height: auto;
    object-fit: cover;
    border-radius: 10px;
    max-height: 250px; /* Limita a altura das imagens */
}

.imagem {
    max-width: 25%;
    height: auto;
    border-radius: 10px;
    margin: 20px auto;
    display: block;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
}

.imagemm {
    max-width: 40%;
    height: auto;
    border-radius: 10px;
    margin: 20px auto;
    display: block;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
}

.setor-container {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.setor-texto {
    flex: 1;
    margin-right: 20px;
}

.setor-images {
    display: flex;
    gap: 10px;
}

.image-column {
    display: flex;
    flex-direction: column;
}

.image-column img {
    width: 100%;
    height: 100px;
    object-fit: cover;
    border-radius: 10px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
    margin-bottom: 10px;
}

.cta-button {
    background: #0077cc;
    color: white;
    padding: 12px 24px;
    text-decoration: none;
    border-radius: 5px;
    transition: background 0.3s, transform 0.3s;
    display: inline-block;
    margin-top: 10px;
}

.cta-button:hover {
    background: #000;
    transform: scale(1.05);
}

/* Responsividade */
@media (max-width: 768px) {
    header img {
        width: 200px; /* Imagem menor no header em dispositivos móveis */
    }

    .image-group img {
        flex: 1 1 100%; /* Imagens ocupam 100% da largura em telas pequenas */
        max-width: 100%;
        max-height: none; /* Remove a limitação de altura */
    }

    .imagem {
        max-width: 80%; /* A imagem se ajusta a 80% da largura em telas menores */
    }

    .imagemm {
        max-width: 80%; /* A imagem se ajusta a 80% da largura em telas menores */
    }

    .setor-container {
        flex-direction: column; /* Organiza os itens em coluna em telas pequenas */
    }

    .setor-texto {
        margin-right: 0;
        margin-bottom: 20px;
    }

    .setor-images {
        display: block; /* Exibe as imagens em linha no pequeno tamanho de tela */
    }

    nav a {
        display: block;
        margin: 10px 0;
        text-align: center;
    }
}
